如何在Ubuntu上启用和禁用PHP模块

2019年4月9日10:50:31 发表评论 7 浏览

本篇文章给大家介绍的内容是关于如何在Ubuntu上启用和禁用PHP模块,下面我们就来看一下具体的内容。

如何在Ubuntu上启用和禁用PHP模块

所有已安装的PHP模块配置文件都可以在/ etc / php / PHP_VERSION / mods-available目录下找到,可以看到扩展名为.ini的文件数量。首先必须安装特定的PHP模块,因为使用之前需要先启用它们。php公共包提供以下命令来管理php模块。

phpenmod–用于在php中启用模块

phpdismod–用于禁用php中的模块

phpquery–用于查看php模块的状态

有三种类型的SAPI(服务器API)可用,最常用的是CLI、FPM、Apache2。可以使用-s开关定义SAPI ,仅启用/禁用模块。

启用PHP模块

使用phpenmod命令,后跟module name,在系统上启用特定的php模块。在下面的示例中,第一个命令是一个示例,第二个命令将为所有安装的PHP版本和所有SAPI启用mbstring模块。

### Syntax
$ phpenmod MODULE_NAME

### Enable mbstring php module
$ phpenmod mbstring

还可以使用-v开关定义PHP版本以启用特定模块。使用它 将为所有SAPI启用模块。

### Syntax
$ phpenmod -v <PHP VERSION> <MODULE NAME>

### Enable module for specific php version
$ phpenmod -v 5.6 mbstring
$ phpenmod -v 7.2 mbstring

使用-sswitch定义SAPI,以便为所有PHP版本的特定SAPI启用特定模块。

### Syntax
$ phpenmod -s <SAPI> <MODULE NAME>

### Enable module for specific SAPI
$ phpenmod -s cli mbstring
$ phpenmod -s fpm mbstring
$ phpenmod -s apache2 mbstring

还可以为更具体的更新定义php版本和sapi。

禁用PHP模块

可以使用phpdismod命令从系统中禁用任何不必要的php模块。例如,对所有PHP版本和所有SAPI禁用mbstring模块。

$ phpdismod mbstring

要禁用特定PHP版本的任何模块,请使用如下命令。

$ phpdismod -v 7.2 mbstring

要在所有PHP版本上禁用特定SAPI的任意模块,请使用如下命令。

$ phpdismod -s apache2 mbstring

本篇文章到这里就已经全部结束了,更多其他精彩内容大家可以关注PHP中文网的PHP视频教程栏目!

以上就是如何在Ubuntu上启用和禁用PHP模块的详细内容,更多请关注洋洋博客其它相关文章!

如何在Ubuntu上启用和禁用PHP模块

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: